Skip to content

List records

GET
/api/v1/tables/{tableId}/records
curl --request GET \
--url https://api.cloudtable.insurge.io/api/v1/tables/example/records \
--header 'x-api-key: <x-api-key>'

Records in Airtable-parity shape. Optional: ?view=, ?search=, ?limit (max 100), ?offset, and ?filters / ?sorts as URL-encoded JSON ([{fieldId,op,value}] / [{fieldId,dir}]).

tableId
required
string
view
string
search
string
limit
string
offset
string
filters
string
sorts
string

Records page

Media typeapplication/json
object
records
required
Array<object>
object
id
required
string
createdTime
string
fields
required
object
key
additional properties
nullable
total
required
number
offset
required
number
limit
required
number
hasMore
required
boolean
Examplegenerated
{
"records": [
{
"id": "example",
"createdTime": "example",
"fields": {
"additionalProperty": "example"
}
}
],
"total": 1,
"offset": 1,
"limit": 1,
"hasMore": true
}

Bad query

Unauthorized

Not found